// ConfigUrlDlg.cpp : 구현 파일입니다.
//

#include "stdafx.h"
#include "ConsoleApp.h"
#include "ConfigUrlDlg.h"


// CConfigUrlDlg 대화 상자입니다.

IMPLEMENT_DYNAMIC(CConfigUrlDlg, CDialog)
CConfigUrlDlg::CConfigUrlDlg(CWnd* pParent /*=NULL*/)
	: CConfigSubDlg(CConfigUrlDlg::IDD, pParent)
	, m_bSearchSub(FALSE)
	, m_nTag(0)
	, m_sSTag(_T(""))
	, m_sETag(_T(""))
{
}

CConfigUrlDlg::~CConfigUrlDlg()
{
}

void CConfigUrlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDT_STAG, m_edtSTag);
	DDX_Control(pDX, IDC_EDT_ETAG, m_edtETag);
	DDX_Check(pDX, IDC_CHK_SEARCHSUB, m_bSearchSub);
	DDX_Radio(pDX, IDC_RDO_TAG1,      m_nTag);
	DDX_Text(pDX,  IDC_EDT_STAG,      m_sSTag);
	DDX_Text(pDX,  IDC_EDT_ETAG,      m_sETag);
}


BEGIN_MESSAGE_MAP(CConfigUrlDlg, CDialog)
	ON_BN_CLICKED(IDC_RDO_TAG1, OnTag)
	ON_BN_CLICKED(IDC_RDO_TAG2, OnTag)
	ON_BN_CLICKED(IDC_RDO_TAG3, OnTag)
	ON_BN_CLICKED(IDC_RDO_TAG4, OnTag)
END_MESSAGE_MAP()


// CConfigUrlDlg 메시지 처리기입니다.

BOOL CConfigUrlDlg::OnInitDialog()
{
	CConfigSubDlg::OnInitDialog();

	OnTag();

	return TRUE;  // return TRUE unless you set the focus to a control
	// 예외: OCX 속성 페이지는 FALSE를 반환해야 합니다.
}

void CConfigUrlDlg::OnTag()
{
	UpdateData(TRUE);

	if (m_nTag != 3) {
		GetDlgItem(IDC_EDT_STAG)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDT_ETAG)->EnableWindow(FALSE);
	}
	else {
		GetDlgItem(IDC_EDT_STAG)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDT_ETAG)->EnableWindow(TRUE);
	}
}
